org.apache.nutch.webui.config

## Class SpringConfiguration

- java.lang.Object
- - org.apache.nutch.webui.config.SpringConfiguration

- All Implemented Interfaces:
    org.springframework.scheduling.annotation.AsyncConfigurer

      @Configuration
       @EnableAsync
      public class SpringConfiguration
      extends Object
      implements org.springframework.scheduling.annotation.AsyncConfigurer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.j256.ormlite.dao.Dao<Crawl,Long>` | `createCrawlDao()`
    `com.j256.ormlite.dao.Dao<NutchInstance,Long>` | `createNutchDao()`
    `com.j256.ormlite.dao.Dao<SeedList,Long>` | `createSeedListDao()`
    `com.j256.ormlite.dao.Dao<SeedUrl,Long>` | `createSeedUrlDao()`
    `CustomTableCreator` | `createTableCreator()`
    `Executor` | `getAsyncExecutor()`
    `com.j256.ormlite.jdbc.JdbcConnectionSource` | `getConnectionSource()`
    `CustomDaoFactory` | `getDaoFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringConfiguration

          public SpringConfiguration()

  - ### Method Detail

    - #### getAsyncExecutor

          public Executor getAsyncExecutor()

      Specified by:
        `getAsyncExecutor` in interface `org.springframework.scheduling.annotation.AsyncConfigurer`

    - #### getConnectionSource

          @Bean
          public com.j256.ormlite.jdbc.JdbcConnectionSource getConnectionSource()
                                                                               throws SQLException

      Throws:
        `SQLException`

    - #### getDaoFactory

          @Bean
          public CustomDaoFactory getDaoFactory()
                                               throws SQLException

      Throws:
        `SQLException`

    - #### createNutchDao

          @Bean
          public com.j256.ormlite.dao.Dao<NutchInstance,Long> createNutchDao()
                                                                            throws SQLException

      Throws:
        `SQLException`

    - #### createSeedListDao

          @Bean
          public com.j256.ormlite.dao.Dao<SeedList,Long> createSeedListDao()
                                                                          throws SQLException

      Throws:
        `SQLException`

    - #### createSeedUrlDao

          @Bean
          public com.j256.ormlite.dao.Dao<SeedUrl,Long> createSeedUrlDao()
                                                                        throws SQLException

      Throws:
        `SQLException`

    - #### createCrawlDao

          @Bean
          public com.j256.ormlite.dao.Dao<Crawl,Long> createCrawlDao()
                                                                    throws SQLException

      Throws:
        `SQLException`

    - #### createTableCreator

          @Bean
          public CustomTableCreator createTableCreator()
                                                      throws SQLException

      Throws:
        `SQLException`

Copyright © 2020 The Apache Software Foundation